﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;

namespace WebServiceClient
{
  public sealed class Client : IDisposable
  {
    private WebReference.SendData service;

    public Client()
    {
      service = new WebServiceClient.WebReference.SendData();
    }

    public void SendData(object o)
    {
      object[] obj = new object[1] { o };
      service.SetParams(obj);
    }

    #region IDisposable Members

    public void Dispose()
    {
      service.Dispose();
      service = null;
    }

    #endregion
  }
}
